<h1>Hero manager Page</h1>
<div>
<table mat-table [dataSource]="dataSource" class="mat-elevation-z8"> 
    <ng-container matColumnDef="heroName">
        <th mat-header-cell *matHeaderCellDef>Name</th>
        <td mat-cell *matCellDef="let element"> {{element.heroName}} </td>
    </ng-container>
    <ng-container matColumnDef="age">
        <th mat-header-cell *matHeaderCellDef>Age</th>
        <td mat-cell *matCellDef="let element"> {{element.age}} </td>
    </ng-container>
    <ng-container matColumnDef="gender">
        <th mat-header-cell *matHeaderCellDef>Gender</th>
        <td mat-cell *matCellDef="let element"> {{element.gender}} </td>
    </ng-container>
    <ng-container matColumnDef="signs">
        <th mat-header-cell *matHeaderCellDef>Signs</th>
        <td mat-cell *matCellDef="let element"> {{element.signs}} </td>
    </ng-container>
    <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef>
            <div>
                <a>Actions</a>
                <button mat-icon-button (click)="newHero()" style="margin-left: 50px;color: black;">
                    <mat-icon>add_box</mat-icon>
                </button>
            </div>
        </th>
        <td mat-cell *matCellDef="let element"> 
            <button mat-icon-button >
                <mat-icon (click)="editHero(element)">edit</mat-icon>
            </button>
            <button mat-icon-button>
                <mat-icon (click)="deleteHero(element.id)">delete</mat-icon>
            </button>
            <button mat-icon-button>
                <mat-icon (click)="showHero(element)" >info</mat-icon>
            </button> 
       </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table> 
</div>